### Type parameters

- #### T: IAtomElement

### Hierarchy

- PropertyBinding

### Implements

- IDisposable

## Index

### Constructors

- constructor

### Properties

- element
- name
- path

### Methods

- dispose
- setInverseValue
- setupTwoWayBinding

## Constructors

### constructor

- new PropertyBinding(target: IAtomComponent<T> | any, element: T, name: string, path: PathList[], twoWays: boolean | string[], valueFunc: function | IValueConverter, source: any): PropertyBinding

- - Defined in src/core/PropertyBinding.ts:19

  #### Parameters

  - ##### target: IAtomComponent<T> | any

  - ##### element: T

  - ##### name: string

  - ##### path: PathList[]

  - ##### twoWays: boolean | string[]

  - ##### valueFunc: function | IValueConverter

  - ##### source: any

  #### Returns PropertyBinding

## Properties

### element

element: T

- Defined in src/core/PropertyBinding.ts:23

### name

name: string

- Defined in src/core/PropertyBinding.ts:24

### path

path: ObjectProperty[][]

- Defined in src/core/PropertyBinding.ts:10

## Methods

### dispose

- dispose(): void

- Implementation of IDisposable.dispose

  - Defined in src/core/PropertyBinding.ts:150

  #### Returns void

### setInverseValue

- setInverseValue(value: any): void

- - Defined in src/core/PropertyBinding.ts:118

  #### Parameters

  - ##### value: any

  #### Returns void

### setupTwoWayBinding

- setupTwoWayBinding(): void

- - Defined in src/core/PropertyBinding.ts:84

  #### Returns void

Generated using TypeDoc